Qt 5.6 | Qt 3D | C++ Classes | QLayerFilter

Qt 5.6.3 Reference Documentation

# QLayerFilter Class

(Qt3DRender::QLayerFilter)

The QLayerFilter class provides ... More...

Header: | #include <QLayerFilter>
qmake: | QT += 3drender
Since: | Qt 5.5
Instantiated By: | LayerFilter
Inherits: | QFrameGraphNode

- List of all members, including inherited members

## Properties

- layers : QStringList

- 1 property inherited from Qt3DRender::QFrameGraphNode
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QLayerFilter(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QLayerFilter()
QStringList | layers() const

- 2 public functions inherited from Qt3DRender::QFrameGraphNode
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setLayers(const QStringList &layers)

- 1 public slot inherited from Qt3DRender::QFrameGraphNode
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | layersChanged(const QStringList &layers)

- 1 signal inherited from Qt3DRender::QFrameGraphNode
- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

| QLayerFilter(QLayerFilterPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

The QLayerFilter class provides ...

## Property Documentation

### layers : QStringList

Access functions:

QStringList | layers() const
void | setLayers(const QStringList &layers)

Notifier signal:

void | layersChanged(const QStringList &layers)

## Member Function Documentation

### QLayerFilter::QLayerFilter(Qt3DCore::QNode *parent = Q_NULLPTR)

Constructs a new QLayerFilter with the specified parent.

### `[protected]` QLayerFilter::QLayerFilter(QLayerFilterPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QLayerFilter::~QLayerFilter()

Destroys the instance of QLayerFilter.

### `[protected]` void QLayerFilter::copy(const Qt3DCore::QNode *ref)

Copies the ref instance into this one.